<?php
$_SESSION['title']="Создание эталонов";
heads($headers_page, $set_ob_start);   //подключение шапки      massa

if(isset($_POST['saved']))
{
// Чтение данных
$accept_type=array('image/gif'=>'gif','image/png'=>'png','image/jpeg'=>'jpg');
  $errors='';
if($_FILES['file'])
  {
  if(!isset($accept_type[$_FILES['file']['type']])){$errors.="Недопустимый тип файла<br />";$file_ras='';}else{$file_ras=$accept_type[$_FILES['file']['type']];}
  }else{$errors.="Картинка товара не была загружена<br />";}
#if( !preg_match("#^([A-Za-z0-9\_])+$#ui", $_POST['r_nick'])){$errors.="В логине присутствуют запрещенные символы";}  
$name=ft_nic($_POST['name']);  
if(strlen2($name)<3 or strlen2($name)>64){$errors.="Неверная длина наименования товара!";}  
// $type
if(!preg_match("#^([A-Za-z0-9\_])+$#ui", $_POST['type'])){$errors.="В коде типа присутствуют запрещенные символы!";$type='';}else{$type=ft_nic($_POST['type']);}
if(strlen2($type)<3 or strlen2($type)>32){$errors.="Неверная длина типа товара!";}
// $type_name
$type_name=get_type_name($type);
if(strlen2($type_name)<3 or strlen2($type_name)>64){$errors.="Неверная длина наименования типа товара!";}
//  $incode
if(!preg_match("#^([A-Za-z0-9\_])+$#ui", $_POST['incode'])){$errors.="В индивидуальном коде товара присутствуют запрещенные символы!";}else{$incode=ft_nic($_POST['incode']);}
if(strlen2($incode)<3 or strlen2($incode)>32){$errors.="Неверная длина индивидуального кода товара!";}
//  $massa
$massa=str_replace(',','.',$_POST['massa']);
$massa=abs(floatval($massa));
if($massa==0){$errors.="Масса товара не должна быть равна нулю!";}
// $price
$price=str_replace(',','.',$_POST['price']);
$price=abs(floatval($price));
if($massa==0){$errors.="Цена товара не должна быть равна нулю!";}
$check_unic=mysql_fetch_assoc(mysql_query("SELECT * FROM `tovar` WHERE `name`='$name' OR `incode`='$incode' LIMIT 1"));
if($check_unic){$errors.="Уникальные имена $name или $incode уже используются товаром $check_unic[name] [$check_unic[incode]] !";}
  if ($errors=='')
  {
    mysql_query("INSERT INTO `tovar` SET
         `name`='$name',
         `type`='$type',
         `incode`='$incode',
         `ico`='',
         `massa`='$massa',
         `price`='$price',
         `kol`='1',
         `type_name`='$type_name'
          ");
          if(mysql_affected_rows())
          {
          $insert_id=mysql_insert_id();
          move_uploaded_file($_FILES['file']['tmp_name'], H."/img/tov/$insert_id.$file_ras");
          mset_msg("Эталонный товар $name успешно создан");
          mysql_query("UPDATE `tovar` SET `ico`='$insert_id.$file_ras' WHERE `id`='$insert_id' LIMIT 1");
          header("Location: ?l=tovars");exit;
          }else{mset_err("Ошибка создания товара!");}
  }
mset_err($errors);
header("Location: ?l=tovars");exit;
################################### 
}else{
echo "<form enctype='multipart/form-data' class='c03' action='' method='post'>";
echo "Картинка товара (не масштабируется)<br /> <input type='file' name='file' size='4' accept='image/*,image/gif,image/png,image/jpeg' /><br />";
#echo "<br /><input type='' name='' value='' /><br />";
echo "Наименование  (64 симв)<br /> <input type='text' name='name' value='' /><br />";
//
#echo "Тип (32 симв)<br /> <input type='text' name='type' value='' /><br />";
#echo "Имя типа (64 симв) <br /> <input type='text' name='type_name' value='' /><br />";
if($types=get_type_tov())
{
echo "<br />Тип <br /><select name='type'>";
foreach($types as $k=>$v)
{
echo "<option value='$k'".($k==$tovar['type']?" selected='selected'":null).">$v</option>\n";
}  
echo "</select><a title='новый тиа' href='?l=newtype'>[NEW]</a><br />";
}
//
echo "Персональный код (32 симв)<br /> <input type='text' name='incode' value='' /><br />";
echo "Масса на единицу (float кг.)<br /> <input type='text' name='massa' value='' /><br />";
echo "Цена в магазине (float рублей.)<br /> <input type='text' name='price' value='' /><br />";

echo "<input type='submit' name='saved' value='сохранить' /><br />";
echo "</form>";}    
?>